# PhotoStepper

A stepper motor controller for use in photography.

## Hardware

This is the ideal case for the build:
https://www.thingiverse.com/thing:142282/files

## Configurable values

### General configuration

- Settle time: pause between camera move and shutter trigger.
- Focus time: how long to focus before triggering.
- Shutter time: how long to press the trigger.
- Return after scene: return to starting point after shooting.
- LCD blackout: turn off LCD backlight while shutter is open.

### Scene configuration

- Steps: number of steps for this scene.
- Distance per step: how far to move between the steps.

## Example results

This is the first image that was made using this project:

![](example_images/220213_macro_cent.jpg)

Depth of field for my setup is a little more than 1mm, so this image is
composed from 30 different shots, each 1mm apart. Here's an animation of the
non-fused images:

![](example_images/220213_macro_cent_-_animation.gif)

The images were taken as JPG. For some reason the align-program did strange
things with my full size images, so I reduced them in size first -- it's only a
first test:

```
for i in *.JPG; do convert $i -resize 50% $i.tif; done
```

Then I was able to align all images:

```
align_image_stack -ma aligned_ AJ9E94*.tif
```

Once all images had been alignes, I created the final image from my stack of photos:

```
enfuse -o result.tif --exposure-weight=0 --saturation-weight=0 --contrast-weight=1 --hard-mask --contrast-edge-scale=0.5 aligned_00*
```
